if(!settings.multipleView) settings.batchView=false;
settings.tex="pdflatex";
deletepreamble();
if(settings.render < 0) settings.render=4;
settings.outformat="";
settings.inlineimage=true;
settings.embed=true;
settings.toolbar=false;
viewportmargin=(2,2);

usepackage("amsmath");
size(500);
draw((-1,0)--(10,0),EndArrow);
draw((0,-1)--(0,10),EndArrow);
path p = (0,0)--(2,10)--(10,10)--(10,2)--cycle;
path r1=(-1,0.015)--(0,0.2)--(10,2.05);
path r2=(-1,0.57)--(0,0.67)--(10,1.67);
path r3=(-1,1)--(10,1);
path r4=(1,-1)--(1,10);
path r5=(0.57,-1)--(0.67,0)--(1.67,10);
path r6=(0.015,-1)--(0.2,0)--(2.05,10);
pair q1=intersectionpoint(r1,r2);
pair q2=intersectionpoint(r2,r3);
pair q3=intersectionpoint(r3,r4);
pair q4=intersectionpoint(r4,r5);
pair q5=intersectionpoint(r5,r6);
path rr=(10,2.05)--q1--q2--q3--q4--q5--(2.05,10);
//fill(rr--(10,10)--cycle,yellow);
draw((0,0)--(2,10));
draw((0,0)--(10,2));
transform t = (0,0,1,0.2,0.2,1);
path c = t*rotate(45)*(cosh(-3.),sinh(-3.));
int i=0;
for (i=-99;i<101;i=i+1) {
    c = c--t*rotate(45)*(cosh(3.*i/100.),sinh(3.*i/100.));
}

path ct2=cut(cut(scale(1.*2)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after;
path ct3=cut(cut(scale(1.*3)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after;
path ct4=cut(cut(scale(1.*4)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after;
path ct5=cut(cut(scale(1.*5)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after;
path ct6=cut(cut(scale(1.*6)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after;
path ct7=cut(cut(scale(1.*7)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after;
path ct8=cut(cut(scale(1.*8)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after;

fill(rr--reverse(ct2)--cycle,rgb("dddd00"));
fill(ct2--reverse(ct3)--cycle,rgb("eeee00"));
fill(ct3--reverse(ct4)--cycle,rgb("ffff00"));
fill(ct4--reverse(ct5)--cycle,rgb("ffff22"));
fill(ct5--reverse(ct6)--cycle,rgb("ffff55"));
fill(ct6--reverse(ct7)--cycle,rgb("ffff99"));
fill(ct7--reverse(ct8)--cycle,rgb("ffffdd"));

for (i=2;i<12;i=i+1) {
    draw(cut(cut(scale(1.*i)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after,gray);
}

draw(rr,red+linewidth(2));
//fill(circle(q1,0.05),blue);
//fill(circle(q2,0.05),blue);
//fill(circle(q3,0.05),blue);
//fill(circle(q4,0.05),blue);
//fill(circle(q5,0.05),blue);


label("$\mathrm{Sym}^n$",(-0.5,7),W,fontsize(40)+black);
label("$\mathcal{S}^n_{>0}$",(10,2),SE,fontsize(40)+black);
label("$\mathcal{R}$",(10,5),E,fontsize(40)+black);

